Package org.apache.commons.fileupload2.core

# Class MultipartInput.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<MultipartInput,MultipartInput.Builder>
org.apache.commons.io.build.AbstractOriginSupplier<MultipartInput,MultipartInput.Builder>
org.apache.commons.io.build.AbstractStreamBuilder<MultipartInput,MultipartInput.Builder>
org.apache.commons.fileupload2.core.MultipartInput.Builder

All Implemented Interfaces:
  `org.apache.commons.io.function.IOSupplier<MultipartInput>`

Enclosing class:
  `MultipartInput`

public static class MultipartInput.Builder extends org.apache.commons.io.build.AbstractStreamBuilder<MultipartInput,MultipartInput.Builder>
Builds a new `MultipartInput` instance.

For example:

     MultipartInput factory = MultipartInput.builder().setPath(path).setBufferSize(DEFAULT_THRESHOLD).get();

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MultipartInput`
  `get()`
  Constructs a new instance.
  `MultipartInput.Builder`
  `setBoundary(byte[] boundary)`
  Sets the boundary.
  `MultipartInput.Builder`
  `setProgressNotifier(MultipartInput.ProgressNotifier progressNotifier)`
  Sets the progress notifier.

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getInputStream, getOpenOptions, getOutputStream, getPath, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### get

    public MultipartInput get() throws IOException
    Constructs a new instance.

    This builder uses the InputStream, buffer size, boundary and progress notifier aspects.

    You must provide an origin that can be converted to a Reader by this builder, otherwise, this call will throw an `UnsupportedOperationException`.

    Returns:
      a new instance.
    Throws:
      `IOException` - if an I/O error occurs.
      `UnsupportedOperationException` - if the origin cannot provide a Path.
    See Also:
      - `AbstractOrigin.getReader(Charset)`

  - ### setBoundary

    public MultipartInput.Builder setBoundary(byte[] boundary)
    Sets the boundary.
    Parameters:
      `boundary` - the boundary.
    Returns:
      this

  - ### setProgressNotifier

    public MultipartInput.Builder setProgressNotifier(MultipartInput.ProgressNotifier progressNotifier)
    Sets the progress notifier.
    Parameters:
      `progressNotifier` - progress notifier..
    Returns:
      this